package com.gic.haoban.manage.service.service;

import java.util.List;

import com.gic.api.base.commons.Page;
import com.gic.haoban.base.api.common.BasePageInfo;
import com.gic.haoban.manage.api.dto.SyncTaskDTO;
import com.gic.haoban.manage.service.entity.TabHaobanSyncTask;

/**
 * Created 2020/4/10.
 *
 * @author hua
 */
public interface SyncTaskService {

    /**
     * 创建任务
     *
     * @param tabHaobanSyncTask
     */
    public void createTask(TabHaobanSyncTask tabHaobanSyncTask);

    /**
     * 更新任务状态
     *
     * @param taskId
     * @param status
     */
    public boolean updateTaskStatus(String taskId, int status);

    /**
     * 获取任务
     *
     * @param taskId
     * @return
     */
    public TabHaobanSyncTask getSyncTask(String taskId);
    
    
    public TabHaobanSyncTask getSyncNewestTask(String wxEnterpriseId , int taskType);

    /**
     * 获取任务列表
     *
     * @param wxEnterpriseId
     * @return
     */
    public Page<SyncTaskDTO> listTaskPage(String wxEnterpriseId, BasePageInfo pageInfo);
    /**
     * 获取列表
     * @param taskType
     * @return
     */
	public List<TabHaobanSyncTask> listTaskByType(int taskType);
}
